Coin: SoScXMLEvent Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoScXMLEvent Class Reference
Coin specific State Chart XML Classes

Adds an SoEvent holder to the ScXMLEvent base. More...

`#include <Inventor/scxml/SoScXMLEvent.h>`

Inheritance diagram for SoScXMLEvent:

## Public Member Functions
virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual void | setSoEvent (const SoEvent *soevent)
virtual const SoEvent * | getSoEvent (void) const
virtual void | setUpIdentifier (void)
virtual void | copyContents (const ScXMLEvent *rhs)
Public Member Functions inherited from ScXMLEvent
virtual void | setEventName (const SbName &name)
const SbName & | getEventName (void) const
ScXMLEvent * | clone (void) const
void | setAssociation (const char *key, const char *value)
const char * | getAssociation (const char *key) const
size_t | getNumAssociations (void) const
size_t | getAssociationKeys (SbList< const char * > &keys) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLEvent
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Protected Attributes inherited from ScXMLEvent
SbName | name

## Detailed Description

Adds an SoEvent holder to the ScXMLEvent base.

This class is part of integrating the Coin types with the SCXML subsystem. SoScXMLEvent objects are ScXMLEvents that wraps/passes an SoEvent to the SCXML state machine.

Since
  Coin 3.0

## Member Function Documentation

## ◆ getTypeId()

SoType SoScXMLEvent::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Reimplemented from ScXMLEvent.

## ◆ setSoEvent()

void SoScXMLEvent::setSoEvent | ( | const SoEvent * | soevent | ) |
| virtual

This function stores a pointer to the originator SoEvent that caused the given event, if any.

The event is duplicated when set, and can be deleted immediately by the caller.

See also
  setUpIdentifiers

## ◆ getSoEvent()

const SoEvent * SoScXMLEvent::getSoEvent | ( | void |  | ) | const
| virtual

Returns the pointer to the stored SoEvent or NULL if no event has been stored yet.

See also
  setSoEvent

## ◆ setUpIdentifier()

void SoScXMLEvent::setUpIdentifier | ( | void |  | ) |
| virtual

This method updates the ScXMLEvent event class and event identifier strings based on the set SoEvent object.

The identifiers will be cleared if no SoEvent object has been stored.

See also
  setSoEvent

## ◆ copyContents()

void SoScXMLEvent::copyContents | ( | const ScXMLEvent * | rhs | ) |
| virtual

Reimplemented from ScXMLEvent.

The documentation for this class was generated from the following files:

- SoScXMLEvent.h
- SoScXMLEvent.cpp